curl -X GET '/v1/agent/balance?wallet_id=aw_01abc123' \
-H 'Authorization: Bearer yac_connector_api_key'
{
"success": true,
"data": {
"wallet_id": "aw_01abc123",
"wallet_address": "0x742d35Cc6634C0532925a3b8D4C9C2A5Ef8C2B1",
"chain": "base",
"balance": 250.00,
"assets": {
"USDC": 250.00
}
}
}
Check the balance of an agentic wallet (used by AI agents)
curl -X GET '/v1/agent/balance?wallet_id=aw_01abc123' \
-H 'Authorization: Bearer yac_connector_api_key'
{
"success": true,
"data": {
"wallet_id": "aw_01abc123",
"wallet_address": "0x742d35Cc6634C0532925a3b8D4C9C2A5Ef8C2B1",
"chain": "base",
"balance": 250.00,
"assets": {
"USDC": 250.00
}
}
}
Documentation Index
Fetch the complete documentation index at: https://docs.yativo.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer yac_...curl -X GET '/v1/agent/balance?wallet_id=aw_01abc123' \
-H 'Authorization: Bearer yac_connector_api_key'
{
"success": true,
"data": {
"wallet_id": "aw_01abc123",
"wallet_address": "0x742d35Cc6634C0532925a3b8D4C9C2A5Ef8C2B1",
"chain": "base",
"balance": 250.00,
"assets": {
"USDC": 250.00
}
}
}